---
apiVersion: v1
kind: ConfigMap
metadata:
  name: ecm-envfile
  namespace: edoc2
data:
  #产品类型。值为edoc2和InDrive
  PRODUCTION: "edoc2"
  #K8s的api-server地址。v515及以后版本适用。v6.6和v7.0可不配置，默认取k8s平台环境变量，默认地址为https://{KUBERNETES_SERVICE_HOST}:{KUBERNETES_SERVICE_PORT}
  ContainerContent: "https://192.168.251.252:8443"
#  ContainerContent: "https://172.16.4.50:6443"
  #外部访问地址。系统设置 > 基本设置中配置
  PUBLISH_EXTERNAL_ADDRESS: "http://localhost/"
  #部署环境类型。0:k8s,2:arm515及以后版本适用
  ContainerType: "0"
  #存储平台。0:本地存储,2:ceph存储,3:swift存储,4:OSS存储,5:KS3存储(510及以后版本支持),7:OBS华为云存储8:COS腾讯云存储9:BOS百度云存储,10:minio存储1000:S3兼容存储
  STORAGEPLATFORM: "1000"
  #除本地存储以外,所有对象存储的访问地址,512及以后版本
  #S3_Url: "http://middle-proxy:9000"
  S3_Url: "http://minio:9000"
  #ceph存储、OSS存储、KS3存储的访问id,512及以后版本
  S3_AccessKey: "admin"
  #对象存储的访问密钥,512及以后版本
  S3_SecretKey: "root123456"
  #S3对象存储桶，swift存储的容器名,512及以后版本
  S3_Bucket: "edoc2"
  #S3对象签名版本，2或4，默认4，512及以后版本
  S3_SignatureVersion: "4"
  #ceph存储获取空间大小的url
  Ceph_HealthUrl: "S3HealthUrl"
  #OSS存储的云类型。true:私有云,false:公有云
  OSS_ISCNAME: "false"
  #minio存储管理端账号，仅minio存储使用，6300及以后版本
  #S3_MgrAccount: xxxx
  #minio存储管理端密码，仅minio存储使用，6300及以后版本
  #S3_MgrPassword: xxxx
  #本地存储类型STG_MountType有三个值选项，物理机磁盘：STG_MountType=0，NFS：STG_MountType=1, CIFS:STG_MountType=2
  STG_MountType: "0"
  #升级策略，升级环境必须配置。如：6.5.3.0。511及以后版本适用
  #IsUpgrade: "6.5.3.0"
  #es账号，默认elastic
  #ESNAME: "elastic"
  #es密码，默认fY9aLwahqCG06tmYYU2E
  #ESPASSWORD: "fY9aLwahqCG06tmYYU2E"
  #inwise相关环境变量
  #InWiseIndexQueueName: "index_inwise_queue|true"
  #Inbiz-开启V5
  OPENINBIZV5: "true"
  #轻文档相关--（EDOC2服务用）轻文档的授权key，默认值
  #DocFlowApiAuthKey: "External 78F11B04-56C7-4FC9-A7DC-7B82217021D8"
  #轻文档相关--（EDOC2服务用）共享存储的地址，默认值
  #ShareStorageHost: "http://sharestorage:6700"
  #轻文档相关--（EDOC2服务用）轻文档的地址，默认值。 DOCFLOW2.11.2及之前版本设置值为http://docflow-api，高版本设置值为 http://docflowweb/docflow/api
  DocFlowApiHost: "http://docflowweb/docflow/api"
  #inbiz导入前端最大支持的大小(接收)
  GrpcMaxReceiveMessageSize: "200"
  #inbiz导入前端最大支持的大小(发送)
  GrpcMaxSendMessageSize: "200"
  HTTP_PROTOCOL_TYPE: "http" #当前请求协议，http,https
